 <.form let={f} for={@changeset} action={@action}>
    <%= if @changeset.action do %>
        <div class="alert alert-danger">
            <p>Oops, something went wrong! Please check the errors below.</p>
        </div> 
    <% end %>

        <%= label f, :user_id %>
        <%= select f, :user_id, Enum.map(@users, fn pt-> {pt.username, pt.id} end) %>
        <%= error_tag f, :type %>
        <br>

        <%= label f, :provider_id %>
        <%= select f, :provider_id, Enum.map(@providers, fn p -> {p.name, p.id} end) %>
        <%= error_tag f, :provider_id %>
        <br>
        <%= label f, :username %>
        <%= text_input f, :username %>
        <%= error_tag f, :username %>
        <br>

        <%= label f, :repository_name %>
        <%= text_input f, :repository_name %>
        <%= error_tag f, :repository_name %>
        <br>

        <%= label f, :url %>
        <%= text_input f, :url %>
        <br>

        <div class="text_radio">
            <div class="radio">
              <label for="public">Public</label>
              <input type="radio" name="type_repo" value="public">
            </div>
            <div class="radio">
              <label for="public">Private</label>
              <input type="radio" name="type_repo" value="private">
            </div>
        </div>
        <br>        
        <div>
            <%= label f, :token %>
            <%= text_input f, :token %> 
        </div>
                   
        <div>
            <%= submit "Save" %>
        </div>
</.form>